compact1, compact2, compact3
java.util.concurrent

## Class CancellationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.util.concurrent.CancellationException

All Implemented Interfaces:
  Serializable

    public class CancellationException
    extends IllegalStateException

Exception indicating that the result of a value-producing task, such as a `FutureTask`, cannot be retrieved because the task was cancelled.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CancellationException()` Constructs a `CancellationException` with no detail message.
`CancellationException(String message)` Constructs a `CancellationException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CancellationException

    public CancellationException()

Constructs a `CancellationException` with no detail message.

#### CancellationException

    public CancellationException(String message)

Constructs a `CancellationException` with the specified detail message.

Parameters:
  `message` - the detail message